# org.codehaus.plexus.container.initialization

## Interfaces

- ContainerInitializationPhase

## Classes

- AbstractContainerInitializationPhase
- AbstractCoreComponentInitializationPhase
- ContainerInitializationContext
- InitializeComponentDiscovererManagerPhase
- InitializeComponentFactoryManagerPhase
- InitializeComponentRegistryPhase
- InitializeContainerConfigurationSourcePhase
- InitializeLoggerManagerPhase
- InitializeSystemPropertiesPhase
- InitializeUserConfigurationSourcePhase

## Exceptions

- ContainerInitializationException